%% Gradient Descent algorithm
%% Input:
%%	fun - function handle of function to minimize
%%	dfun - gradient of the function
%%	x0 - first step "guess" of solution
%%	eps - accuracy of sulution. Needed for algorihtm stop
%% Output:
%%	y - coordinates of minimzer

function y = GD(fun, dfun, x0, eps=0.01)
	xi = x0; %% set the start value of iterate
	while (norm(dfun(xi)) > eps) %% stop iterating, if gradient is almost zero
		dir = -dfun(xi); %% choose direction of negative gradient
		alfa = LS(fun, dir, xi); %% Line serach for step-length
		xi = xi+alfa*dir; %% update iterative
	endwhile
	y = xi; %% save results
